| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
SEGY::FileSpec Class Reference
Seis

`#include <segyfiledef.h>`

Inheritance diagram for SEGY::FileSpec:
[legend]

## Public Member Functions
| FileSpec (const char *fnm=nullptr)
| FileSpec (const IOPar &)
| ~FileSpec ()
IOObj * | getIOObj (bool temporary) const
Public Member Functions inherited from FileSpec
| FileSpec (const char *fnm=nullptr)
| FileSpec (const DBKey &)
| FileSpec (const IOPar &)
const char * | absFileName (int nr=0) const
| adds path if necessary
const char * | dirName () const
| only the dir name
const char * | dispName () const
| for titles etc
void | ensureBaseDir (const char *dirnm)
const char * | fileName (int nr=0) const
void | fillPar (IOPar &) const
const char * | fullDirName () const
| full name of dir
void | getMultiFromString (const char *)
void | getReport (IOPar &) const
bool | isEmpty () const
bool | isMulti () const
bool | isRangeMulti () const
void | makeAbsoluteIfRelative (const char *dirnm)
void | makePathsRelative (const char *todir=0)
int | nrFiles () const
void | setBaseDir (const char *dirnm)
void | setEmpty ()
void | setFileName (const char *fnm)
void | setUsrStr (const char *str)
bool | usePar (const IOPar &)
const char * | usrStr () const
| a user-typed filename

## Static Public Member Functions
static void | fillParFromIOObj (const IOObj &, IOPar &)
Static Public Member Functions inherited from FileSpec
static void | makePathsRelative (IOPar &, const char *todir=0)
static const char * | sKeyFileNrs ()

## Additional Inherited Members
Public Attributes inherited from FileSpec
BufferStringSet | fnames_
StepInterval< int > | nrs_
BufferString | survsubdir_
| For example "Seismics".
int | zeropad_ = 0
| left-pad the nrs_ to this length
Protected Attributes inherited from FileSpec
BufferString | usrstr_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ FileSpec() [1/2]

SEGY::FileSpec::FileSpec | ( | const char * | fnm = nullptr | ) |

## ◆ FileSpec() [2/2]

SEGY::FileSpec::FileSpec | ( | const IOPar & |  | ) |

## ◆ ~FileSpec()

SEGY::FileSpec::~FileSpec | ( |  | ) |
| virtual

Reimplemented from FileSpec.

## Member Function Documentation

## ◆ fillParFromIOObj()

static void SEGY::FileSpec::fillParFromIOObj | ( | const IOObj & | ,
|  | IOPar & | )
| static

## ◆ getIOObj()

IOObj * SEGY::FileSpec::getIOObj | ( | bool | temporary | ) | const

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025